package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcOrderGoodsEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcOrderGoodsEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcOrderGoodsEntityMapper {
    long countByExample(QchjcOrderGoodsEntityExample example);

    int deleteByExample(QchjcOrderGoodsEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcOrderGoodsEntity record);

    int insertSelective(QchjcOrderGoodsEntity record);

    List<QchjcOrderGoodsEntity> selectByExample(QchjcOrderGoodsEntityExample example);

    QchjcOrderGoodsEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcOrderGoodsEntity record, @Param("example") QchjcOrderGoodsEntityExample example);

    int updateByExample(@Param("record") QchjcOrderGoodsEntity record, @Param("example") QchjcOrderGoodsEntityExample example);

    int updateByPrimaryKeySelective(QchjcOrderGoodsEntity record);

    int updateByPrimaryKey(QchjcOrderGoodsEntity record);

    void clearCustomerInvoiceOrderGoodsBind(@Param("id") Long id);

    List<QchjcOrderGoodsEntity> selectByInvoiceApplyId(Long id);

    List<QchjcOrderGoodsEntity> selectByInvoiceSupplierApplyId(Long id);

    void clearSupplierInvoiceOrderGoodsBind(Long id);

    List<Long> selectFixId(Integer limit);
}